Chat Thread - Delete Chat Message
İletiyi siler.
DELETE {endpoint}/chat/threads/{chatThreadId}/messages/{chatMessageId}?api-version=2025-03-15
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
chat
|
path | True |
string |
İleti kimliği. |
|
chat
|
path | True |
string |
İletinin gönderildiği iş parçacığı kimliği. |
|
endpoint
|
path | True |
string |
Azure İletişim kaynağının uç noktası. |
|
api-version
|
query | True |
string |
Çağrılacak API sürümü. |
İstek Başlığı
| Name | Gerekli | Tür | Description |
|---|---|---|---|
| Authorization | True |
string |
ACS (Azure İletişim Hizmetleri) kullanıcı erişim belirteci. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 204 No Content |
İstek başarılı oldu. |
|
| 401 Unauthorized |
Communication |
Yetkisiz. |
| 403 Forbidden |
Communication |
Yasak. |
| 429 Too Many Requests |
Communication |
Çok fazla istek var. |
| Other Status Codes |
Communication |
Hizmet kullanılamıyor. |
Güvenlik
Authorization
ACS (Azure İletişim Hizmetleri) kullanıcı erişim belirteci.
Tür:
apiKey
İçinde:
header
Örnekler
Delete message
Örnek isteği
DELETE https://contoso.westus.communications.azure.com/chat/threads/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/messages/1591768249318?api-version=2025-03-15
Örnek yanıt
{
"error": {
"code": "Unauthorized",
"message": "Request is not authorized."
}
}
{
"error": {
"code": "Forbidden",
"message": "User is not allowed to perform specified action."
}
}
{
"error": {
"code": "TooManyRequests",
"message": "Rate limit exceeded."
}
}
{
"error": {
"code": "ServiceUnavailable",
"message": "The server is currently unable to handle the request."
}
}